/* Fesslix - Stochastic Analysis
 * Copyright (C) 2010-2022 Wolfgang Betz
 *
 * Fesslix is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Fesslix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Fesslix.  If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef fesslix_flxostools_H
#define fesslix_flxostools_H

#include "flxostools_files.h"

#include <string>


FLXLIB_EXPORT const bool get_config_dir_global(std::string& configDir);
FLXLIB_EXPORT const bool get_config_dir_local(std::string& configDir);
FLXLIB_EXPORT const bool get_pwd(std::string& pwdStr) ;
FLXLIB_EXPORT void setEXEdir();

FLXLIB_EXPORT void flx_take_a_break();
FLXLIB_EXPORT void flx_put_to_sleep(const tuint seconds);

#endif // fesslix_flxostools_H
